Skip to main content
GET
Get Credit Transaction List

Endpoint Overview

GET https://api.unibee.dev/merchant/credit/credit_transaction_list Get Credit Transaction list

Authorization

All UniBee Merchant API requests require authentication via API key.

Parameters

Parameters for this endpoint are listed below. The schema is also shown in the Try it panel.

Query parameters


Request examples

cURL

Sandbox


Response

Success responses return a JSON envelope with code, data, message, redirect, and requestId. code 0 indicates success.

Error handling

When code in the response body is non-zero, check message for details. Use requestId when contacting support.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

accountType
integer<int>
required

filter type of account, 1-main account, 2-promo credit account

userId
integer<int64>

filter id of user

email
string<string>

filter email of user

currency
string<string>

filter currency of account

sortField
string<string>

Sort Field,gmt_create|gmt_modify,Default gmt_modify

sortType
string<string>

Sort Type,asc|desc,Default desc

transactionTypes
integer<int>[]

transaction type。1-recharge income,2-payment out,3-refund income,4-withdraw out,5-withdraw failed income, 6-admin change,7-recharge refund out

page
integer<int>

Page, Start 0

count
integer<int>

Count Of Per Page

createTimeStart
integer<int64>

CreateTimeStart,UTC timestamp,seconds

createTimeEnd
integer<int64>

CreateTimeEnd,UTC timestamp,seconds

Response

200 - application/json
code
integer<int>
data
object
merchantId
integer<int64>
message
string<string>
redirect
string<string>
requestId
string<string>